rte_flow_item_fuzzy(3)

NAME
rte_flow_item_fuzzy

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t thresh

Detailed Description

RTE_FLOW_ITEM_TYPE_FUZZY

Fuzzy pattern match, expect faster than default.

This is for device that support fuzzy match option. Usually a fuzzy match is fast but the cost is accuracy. i.e. Signature Match only match pattern's hash value, but it is possible two different patterns have the same hash value.

Matching accuracy level can be configure by threshold. Driver can divide the range of threshold and map to different accuracy levels that device support.

Threshold 0 means perfect match (no fuzziness), while threshold 0xffffffff means fuzziest match.

Definition at line 1266 of file rte_flow.h.

Field Documentation

  uint32_t thresh
Accuracy threshold.

Definition at line 1267 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.